Subject: Re: Burstiness WIth increased max cwnd.

From: Joe Touch <[email-masked]>
Date: Wed, 01 Mar 2000 19:11:37 -0800

Kacheong Poon wrote:
> 
> > TCP is still bursty over high bandwidth-delay product links while inflating
> > the congestion window.  Basically everything in the window is trasmitted at
> > once, and when ACKs arrive, the process repeats with a larger window.  Thus
> > larger windows cause the burstiness to proceed for longer amounts of time.
> 
> What do you mean by "trasmitted at once?"  TCP does not send the whole window
> all at once.  Do you mean the case when after the link is idle for some time,
> TCP can send the whole window at once?  I think this has been discussed before
> and the problem is an implementation bug.  Joe Touch has a note on this.

Yup - also an ID that has expired. We've had an implementation with
a nasty bug, sadly back-burnered a while. The original ID is at:

	http://www.isi.edu/touch/pubs/tcpimpl-restart-00.txt

(we do plan to find a grad student to fix this...)

Joe